summaryrefslogtreecommitdiff
path: root/tests/tee/basic
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tee/basic')
-rwxr-xr-xtests/tee/basic33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/tee/basic b/tests/tee/basic
new file mode 100755
index 000000000..37dfc99d0
--- /dev/null
+++ b/tests/tee/basic
@@ -0,0 +1,33 @@
+#!/bin/sh
+# test for basic tee functionality.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ tee --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0" |sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; (exit $status); exit $status' 1 2 13 15
+
+fail=0
+mkdir -p $tmp && cd $tmp || fail=1
+echo line >sample || fail=1
+nums=`seq 9` || fail=1
+
+if test $fail = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+for n in 0 $nums; do
+ files=`seq $n`
+ rm -f $files
+ tee $files <sample >out || fail=1
+ for f in out $files; do
+ cmp sample $f || fail=1
+ done
+done
+
+(exit $fail); exit $fail